Skip to content

ETF PROFILE

Request

Get ETF profile / screening snapshot.

Request body:

ParameterValueDescription
symbol"XLE"ETF symbol
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"BA7Hpyl/k9p7MGyG3Bej07Eqijmx7SvZDW1Ca9kfus960UqvKddouTf2b110223gTvqbybqA2zEI+9vnRMxcvg=="
Example:BA7Hpyl/k9p7MGyG3Bej07Eqijmx7SvZDW1Ca9kfus960UqvKddouTf2b110223gTvqbybqA2zEI+9vnRMxcvg==
Bodyapplication/jsonrequired
symbolstringrequired

ETF symbol

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/etf/profile' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: BA7Hpyl/k9p7MGyG3Bej07Eqijmx7SvZDW1Ca9kfus960UqvKddouTf2b110223gTvqbybqA2zEI+9vnRMxcvg==' \
--data '{
    "symbol":"XLE"
}'

Responses

Dynamic ETF profile for the requested symbol

Bodyapplication/json
companyNamestring
stockNamestring
shariahComplianceStatusstring(ComplianceStatus)

Shariah-compliance status

complianceRankingnumber
reportDatestring
sourcestring
revenueBreakdownobject
interestBearingSecuritiesAndAssetsobject
interestBearingDebtobject
Response
{ "companyName": "string", "stockName": "string", "shariahComplianceStatus": "string", "complianceRanking": 0, "reportDate": "string", "source": "string", "revenueBreakdown": { "halal": 0, "notHalal": 0, "doubtful": 0, "status": "string" }, "interestBearingSecuritiesAndAssets": { "interestRatio": 0, "status": "string" }, "interestBearingDebt": { "debtRatio": 0, "status": "string" } }